# Method: projects.locations.models.get

- [HTTP request](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/get#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/get#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/get#body.aspect)

Gets a model.

### HTTP request

`GET https://automl.googleapis.com/v1beta1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the model. Authorization requires the following [Google IAM](https://cloud.google.com/iam) permission on the specified resource `name`: - `automl.models.get` <br /> |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models#Model`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).